<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo 1</title>
    <style>
        h1 {
            /* color de fuente */
            color: blue;

        }

        #contenido {
            /* color de fondo */
            background-color: gray;
            /* margen interno */
            padding: 10px;
            /* ancho */
            width: 300px;
            /* margen externo (arriba y abajo, izquierda y derecha con auto te centra) */
            margin: 10px auto;

        }
    </style>
</head>

<body>
    <div>
        <h1>Ejemplo 1</h1>
        <div id="contenido" onclick="desaparecer()">
            Ejemplo de clase
        </div>
    </div>
</body>
<script>
    function desaparecer() {
        document.querySelector('#contenido').style.display = 'none';
    }
</script>

</html>